{
  "description": "ReplicaSetSpec is the specification of a ReplicaSet.",
  "properties": {
    "minReadySeconds": {
      "description": "Minimum number of seconds for which a newly created pod should be ready without any of its container crashing, for it to be considered available. Defaults to 0 (pod will be considered available as soon as it is ready)",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "replicas": {
      "description": "Replicas is the number of desired replicas. This is a pointer to distinguish between explicit zero and unspecified. Defaults to 1. More info: https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller/#what-is-a-replicationcontroller",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "selector": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.LabelSelector",
      "description": "Selector is a label query over pods that should match the replica count. Label keys and values that must match in order to be controlled by this replica set. It must match the pod template's labels. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/#label-selectors"
    },
    "template": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.PodTemplateSpec",
      "description": "Template is the object that describes the pod that will be created if insufficient replicas are detected. More info: https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller#pod-template"
    }
  },
  "required": [
    "selector"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/replicasetspec/apps/v1"
}